Skip to main content

Register or update agent

POST
/agents

Contract

Parameter
Value
Sectionagents
AuthenticationAgentAuth
Consumesapplication/json
Producesapplication/json

Parameters

1 parameter

Name
Location
Required
Type
Description
requestbodyyesobjectAgent registration data
  • {
      "caps": [
        "<string>"
      ],
      "cores": 0,
      "createdAt": "<string>",
      "hostname": "<string>",
      "id": 0,
      "interfaces": [
        {
          "address": "<string>",
          "deviceId": "<string>",
          "driver": "<string>",
          "name": "<string>",
          "vendor": "<string>"
        }
      ],
      "ip": "<string>",
      "online": true,
      "port": 0,
      "synced": true,
      "updatedAt": "<string>",
      "version": "<string>"
    }

Responses

3 responses

Status
Description
Type
200
Successful responseno body
400
Invalid requestobject
500
Internal server errorobject
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }